KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm kubeconfig user - Output a kubeconfig file for an additional user

SYNOPSIS

kubeadm kubeconfig user [OPTIONS]

DESCRIPTION

Output a kubeconfig file for an additional user.

OPTIONS

--client-name=""
    The name of user. It will be used as the CN if client certificates are created

--config=""
    Path to a kubeadm configuration file.

--org=[]
    The organizations of the client certificate. It will be used as the O if client certificates are created

--token=""
    The token that should be used as the authentication mechanism for this kubeconfig, instead of client certificates

--validity-period=8760h0m0s
    The validity period of the client certificate. It is an offset from the current time.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Output a kubeconfig file for an additional user named foo
      kubeadm kubeconfig user --client-name=foo

      # Output a kubeconfig file for an additional user named foo using a kubeadm config file bar
      kubeadm kubeconfig user --client-name=foo --config=bar

SEE ALSO

kubeadm-kubeconfig(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!